## Class Swift_Mime_MimePart

(line 23)

## Description

    Swift_Mime_SimpleMimeEntity
       |
       --Swift_Mime_MimePart

Located in File: /vendors/swiftMailer/classes/Swift/Mime/MimePart.php

##### A MIME part, in a multipart message.

- author: - Chris Corbyn

Classes extended from Swift_Mime_MimePart:

Swift_Mime_SimpleMessage
  The default email message class.

Swift_MimePart
  A MIME part, in a multipart message.

## Class Variables

Summary:
mixed $_userCharset
mixed $_userDelSp
mixed $_userFormat

#### $_userCharset (line 30)

#### Data type : mixed

##### The charset last specified by the user

- access: - protected

#### $_userDelSp (line 33)

#### Data type : mixed

##### The delsp parameter last specified by the user

- access: - protected

#### $_userFormat (line 27)

#### Data type : mixed

##### The format parameter last specified by the user

- access: - protected

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_MimePart __construct (Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [string $charset = null])
void charsetChanged (string $charset)
string getCharset ()
boolean getDelSp ()
string getFormat ()
int getNestingLevel ()
void setBody (mixed $body, [string $contentType = null], [string $charset = null])
void setCharset (string $charset)
void setDelSp ([boolean $delsp = true])
void setFormat (string $format)
void _fixHeaders ()
void _setNestingLevel ( $level)

#### Constructor __construct (line 46)

#### Swift_Mime_MimePart __construct( Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [string $charset = null])

Overridden in child classes as:

Swift_Mime_SimpleMessage::__construct()
  Create a new SimpleMessage with $headers, $encoder and $cache.

Swift_Message::__construct()
  Create a new Message.

Swift_MimePart::__construct()
  Create a new MimePart.

Overrides : Swift_Mime_SimpleMimeEntity::__construct() Create a new SimpleMimeEntity with $headers, $encoder and $cache.

##### Create a new MimePart with $headers, $encoder and $cache.

#### Parameters

- Swift_Mime_HeaderSet $headers:
- Swift_Mime_ContentEncoder $encoder:
- Swift_KeyCache $cache:
- string $charset:

#### Info

- access - public

#### Method charsetChanged (line 165)

#### void charsetChanged( string $charset)

Overrides : Swift_Mime_SimpleMimeEntity::charsetChanged() Receive notification that the charset of this entity, or a parent entity has changed.

##### Receive notification that the charset has changed on this document, or a parent document.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method getCharset (line 80)

#### string getCharset( )

##### Get the character set of this entity.

#### Info

- access - public

#### Method getDelSp (line 129)

#### boolean getDelSp( )

##### Test if delsp is being used for this entity.

#### Info

- access - public

#### Method getFormat (line 107)

#### string getFormat( )

##### Get the format of this entity (i.e. flowed or fixed).

#### Info

- access - public

#### Method getNestingLevel (line 154)

#### int getNestingLevel( )

Overridden in child classes as:

Swift_Mime_SimpleMessage::getNestingLevel()
  Always returns LEVEL_TOP for a message instance.

Overrides : Swift_Mime_SimpleMimeEntity::getNestingLevel() Get the nesting level of this entity.

##### Get the nesting level of this entity.

#### Info

- see - LEVEL_TOP, LEVEL_ALTERNATIVE, LEVEL_MIXED, LEVEL_RELATED
- access - public

#### Method setBody (line 65)

#### void setBody( mixed $body, [string $contentType = null], [string $charset = null])

Overrides : Swift_Mime_SimpleMimeEntity::setBody() Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

##### Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Parameters

- mixed $body:
- string $contentType: optional
- string $charset: optional

#### Info

- access - public

#### Method setCharset (line 90)

#### void setCharset( string $charset)

##### Set the character set of this entity.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method setDelSp (line 141)

#### void setDelSp( [boolean $delsp = true])

##### Turn delsp on or off for this entity.

#### Parameters

- boolean $delsp:

#### Info

- access - public

#### Method setFormat (line 117)

#### void setFormat( string $format)

##### Set the format of this entity (flowed or fixed).

#### Parameters

- string $format:

#### Info

- access - public

#### Method _fixHeaders (line 173)

#### void _fixHeaders( )

Overrides : Swift_Mime_SimpleMimeEntity::_fixHeaders() Re-evaluate what content type and encoding should be used on this entity.

##### Fix the content-type and encoding of this entity

#### Info

- access - protected

#### Method _setNestingLevel (line 191)

#### void _setNestingLevel( $level)

##### Set the nesting level of this entity

#### Parameters

- $level:

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::$_userContentType -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::__construct() - Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Swift_Mime_SimpleMimeEntity::charsetChanged() - Receive notification that the charset of this entity, or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::encoderChanged() - Receive notification that the encoder of this entity or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::generateId() - Generate a new Content-ID or Message-ID for this MIME entity.

#### Swift_Mime_SimpleMimeEntity::getBody() - Get the body of this entity as a string.

#### Swift_Mime_SimpleMimeEntity::getBoundary() - Get the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::getChildren() - Get all children added to this entity.

#### Swift_Mime_SimpleMimeEntity::getContentType() - Get the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::getDescription() - Get the description of this entity.

#### Swift_Mime_SimpleMimeEntity::getEncoder() - Get the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getHeaders() - Get the Swift_Mime_HeaderSet for this entity.

#### Swift_Mime_SimpleMimeEntity::getId() - Get the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::getMaxLineLength() - Get the maximum line length of the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_SimpleMimeEntity::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_SimpleMimeEntity::setBoundary() - Set the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::setChildren() - Set all children of this entity.

#### Swift_Mime_SimpleMimeEntity::setContentType() - Set the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::setDescription() - Set the description of this entity.

#### Swift_Mime_SimpleMimeEntity::setEncoder() - Set the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::setId() - Set the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::setMaxLineLength() - Set the maximum line length of lines in this body.

#### Swift_Mime_SimpleMimeEntity::toByteStream() - Write this entire entity to a Swift_InputByteStream.

#### Swift_Mime_SimpleMimeEntity::toString() - Get this entire entity as a string.

#### Swift_Mime_SimpleMimeEntity::_clearCache() - Empty the KeyCache for this entity.

#### Swift_Mime_SimpleMimeEntity::_fixHeaders() - Re-evaluate what content type and encoding should be used on this entity.

#### Swift_Mime_SimpleMimeEntity::_getCache() - Get the KeyCache used in this entity.

#### Swift_Mime_SimpleMimeEntity::_getHeaderFieldModel() - Get the model data (usually an array or a string) for $field.

#### Swift_Mime_SimpleMimeEntity::_getHeaderParameter() - Get the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::_getIdField() - Get the name of the header that provides the ID of this entity

#### Swift_Mime_SimpleMimeEntity::_setHeaderFieldModel() - Set the model data for $field.

#### Swift_Mime_SimpleMimeEntity::_setHeaderParameter() - Set the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::__destruct() - Empties it's own contents from the cache.

#### Swift_Mime_SimpleMimeEntity::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:26 +0000 by phpDocumentor 1.4.3